<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        if (Schema::hasTable('surveys') && ! Schema::hasColumn('surveys', 'media')) {
            Schema::table('surveys', function (Blueprint $table) {
                $table->json('media')->nullable()->after('description');
            });
        }
    }

    public function down(): void
    {
        if (Schema::hasTable('surveys') && Schema::hasColumn('surveys', 'media')) {
            Schema::table('surveys', function (Blueprint $table) {
                $table->dropColumn('media');
            });
        }
    }
};
